Partial Public Class MainPage
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub

  Private Sub lstControlesSilverlight_SelectionChanged(sender As Object, e As SelectionChangedEventArgs)
    ' Acceder al elemento seleccionado
    Dim lista As ListBox = TryCast(sender, ListBox)
    Dim elementoSeleccionado As String =
      TryCast(lista.SelectedItem, ListBoxItem).Content.ToString()
    ' Crear la página correspondiente a la selección
    Dim tipo As Type = Me.GetType() ' tipo de Me
    ' Ensamblado al que pertenece "tipo"
    Dim assembly As Reflection.Assembly = tipo.Assembly
    ' Crear la página especificada
    Dim pagina As UserControl =
      DirectCast(assembly.CreateInstance(
          tipo.Namespace & "." & elementoSeleccionado), UserControl)
    ' Mostrar la página
    contenedorPag.Child = pagina
  End Sub
End Class